Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libressl: new aport

From: systmkor <systmkor_at_gmail.com>
Date: Sun, 22 Mar 2015 19:33:58 -0700

FREE version of the SSL/TLS protocol forked from OpenSSL - Portable
edition.
http://www.libressl.org/
---
 testing/libressl/APKBUILD | 52 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 testing/libressl/APKBUILD
diff --git a/testing/libressl/APKBUILD b/testing/libressl/APKBUILD
new file mode 100644
index 0000000..5cd0356
--- /dev/null
+++ b/testing/libressl/APKBUILD
_at_@ -0,0 +1,52 @@
+# Contributor: Orion <systmkor_at_gmail.com>
+# Maintainer: Orion <systmkor_at_gmail.com>
+#
+#
+pkgname=libressl
+pkgver=2.1.4
+pkgrel=0
+pkgdesc="FREE version of the SSL/TLS protocol forked from OpenSSL - Portable edition"
+url="http://www.libressl.org/"
+arch="all"
+license="openssl"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="147105631f34f18047c19483410db384  libressl-2.1.4.tar.gz"
+sha256sums="e8e08535928774119a979412ee8e307444b7a1a42c8c47ac06ee09423ca9a04e  libressl-2.1.4.tar.gz"
+sha512sums="534ac8cd438d2907025dcb7e24394e004058db33585d5aff3b594ea7494a866d05d5076f24836dcaf38e6fb27227019d55c26ed235f61da20a158c200f18c46e  libressl-2.1.4.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Mar 22 2015 - 19:33:58 GMT